Page MenuHomeFreeBSD

tcp: improve handling of setsockopt
ClosedPublic

Authored by tuexen on May 18 2024, 10:22 AM.
Tags
None
Referenced Files
Unknown Object (File)
May 23 2024, 10:18 PM
Unknown Object (File)
May 22 2024, 6:07 AM
Unknown Object (File)
May 21 2024, 11:56 PM
Unknown Object (File)
May 21 2024, 11:19 PM
Unknown Object (File)
May 20 2024, 5:04 PM
Unknown Object (File)
May 19 2024, 1:25 PM
Unknown Object (File)
May 19 2024, 12:37 PM

Details

Summary

Ensure that the inp is not dropped when starting a stack switch. While there, clean-up the code by using INP_WLOCK_RECHECK, which also re-assigns tp.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.May 23 2024, 8:20 PM
This revision was automatically updated to reflect the committed changes.